org.apache.pdfbox.cos

## Interface ICOSParser

All Known Implementing Classes:
  BruteForceParser, COSParser, FDFParser, PDFParser

    public interface ICOSParser

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.pdfbox.io.RandomAccessReadView` `createRandomAccessReadView(long startPosition, long streamLength)` Creates a random access read view starting at the given position with the given length.
`COSBase` `dereferenceCOSObject(COSObject obj)` Dereference the COSBase object which is referenced by the given COSObject.

### Method Detail

#### dereferenceCOSObject

    COSBase dereferenceCOSObject(COSObject obj)
                          throws IOException

Dereference the COSBase object which is referenced by the given COSObject.

Parameters:
  `obj` - the COSObject which references the COSBase object to be dereferenced.
Returns:
  the referenced object
Throws:
  `IOException` - if something went wrong when dereferencing the COSBase object

#### createRandomAccessReadView

    org.apache.pdfbox.io.RandomAccessReadView createRandomAccessReadView(long startPosition,
                                                                         long streamLength)
                                                                  throws IOException

Creates a random access read view starting at the given position with the given length.

Parameters:
  `startPosition` - start position within the underlying random access read
  `streamLength` - stream length
Returns:
  the random access read view
Throws:
  `IOException` - if something went wrong when creating the view for the RandomAccessRead